<template>
  <div>
    <h1 class="mb-3">What are the skin issues you would like to address?</h1>
    <p class="mb-8">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        :value="checkboxSelected"
        @input="handleCheckboxInput"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <common-btn
      @click="handleClick"
      :disabled="!checkboxSelected.length"
      text="Next"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin} from "@/utils/mixins";
import {constants} from "@/constants";

export default {
  mixins: [answersMixin, checkboxMixin],
  name: "AntiAging2",
  data() {
    return {
      choices: [
        'Wrinkles',
        'Fine lines',
        'Sun spots or freckles',
        'Rough uneven skin',
        'Redness or blotchiness',
        'Decreased skin tone',
        constants.OTHER,
      ],
      checkHandler: newVal => this.setAnswer(this.answersKeys.ANTI_AGING, newVal, 'stage_2')
    }
  },
  methods: {
    handleClick() {
      if (this.checkboxSelected.includes(constants.OTHER)) {
        this.nextStage()
      } else {
        this.$emit('goTo', 4)
      }
    }
  }
}
</script>

<style scoped>

</style>
